Services
Gets a page of service objects.
Args: filter_model: Filter model used for pagination, sorting, filtering. hydrate: Flag deciding whether to hydrate the output model(s) by including metadata fields in the response.
Returns: Page of service objects.
falsecreatedLogical Ops to use to combine filters on list methods.
andPossible values: 120Successful Response
Unauthorized
Forbidden
Not Found
Unprocessable Entity
GET /api/v1/services HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"index": 1,
"max_size": 1,
"total_pages": 1,
"total": 1,
"items": [
{
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"user_id": "123e4567-e89b-12d3-a456-426614174000",
"project_id": "123e4567-e89b-12d3-a456-426614174000",
"service_type": {
"type": "text",
"flavor": "text",
"name": "",
"description": "",
"logo_url": ""
},
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"state": "inactive"
},
"metadata": {
"service_source": "text",
"admin_state": "inactive",
"config": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"status": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"endpoint": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"prediction_url": "text",
"health_check_url": "text"
},
"resources": {
"user": {
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"active": false,
"activation_token": "text",
"full_name": "",
"email_opted_in": true,
"is_service_account": true,
"is_admin": true,
"default_project_id": "123e4567-e89b-12d3-a456-426614174000",
"avatar_url": "text"
},
"metadata": {
"password_changed_at": "2026-01-01T00:00:00.000Z",
"email": "",
"external_user_id": "123e4567-e89b-12d3-a456-426614174000",
"user_metadata": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
},
"resources": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
},
"pipeline_run": "[Circular Reference]",
"model_version": "[Circular Reference]",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
}
]
}Creates a new service.
Args: service: The service to create. project_name_or_id: Optional name or ID of the project.
Returns: The created service.
Request model for services.
The fully qualified class name of the service implementation.
The administrative state of the service, e.g., ACTIVE, INACTIVE.
Successful Response
Response model for services.
falseUnauthorized
Forbidden
Unprocessable Entity
POST /api/v1/services HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 602
{
"user": "123e4567-e89b-12d3-a456-426614174000",
"project": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"service_type": {
"type": "text",
"flavor": "text",
"name": "",
"description": "",
"logo_url": ""
},
"service_source": "text",
"admin_state": "inactive",
"config": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"status": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"endpoint": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"prediction_url": "text",
"health_check_url": "text",
"model_version_id": "123e4567-e89b-12d3-a456-426614174000",
"pipeline_run_id": "123e4567-e89b-12d3-a456-426614174000"
}{
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"user_id": "123e4567-e89b-12d3-a456-426614174000",
"project_id": "123e4567-e89b-12d3-a456-426614174000",
"service_type": {
"type": "text",
"flavor": "text",
"name": "",
"description": "",
"logo_url": ""
},
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"state": "inactive"
},
"metadata": {
"service_source": "text",
"admin_state": "inactive",
"config": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"status": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"endpoint": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"prediction_url": "text",
"health_check_url": "text"
},
"resources": {
"user": {
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"active": false,
"activation_token": "text",
"full_name": "",
"email_opted_in": true,
"is_service_account": true,
"is_admin": true,
"default_project_id": "123e4567-e89b-12d3-a456-426614174000",
"avatar_url": "text"
},
"metadata": {
"password_changed_at": "2026-01-01T00:00:00.000Z",
"email": "",
"external_user_id": "123e4567-e89b-12d3-a456-426614174000",
"user_metadata": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
},
"resources": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
},
"pipeline_run": {
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"user_id": "123e4567-e89b-12d3-a456-426614174000",
"project_id": "123e4567-e89b-12d3-a456-426614174000",
"status": "initializing",
"in_progress": true,
"status_reason": "text",
"index": 1,
"pipeline_id": "123e4567-e89b-12d3-a456-426614174000",
"child_key": "text",
"root_run_id": "123e4567-e89b-12d3-a456-426614174000"
},
"metadata": {
"run_metadata": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"config": {
"enable_cache": true,
"enable_artifact_metadata": true,
"enable_artifact_visualization": true,
"enable_step_logs": true,
"enable_heartbeat": true,
"environment": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"secrets": [
"123e4567-e89b-12d3-a456-426614174000"
],
"enable_pipeline_logs": true,
"execution_mode": "continue_on_failure",
"settings": {
"ANY_ADDITIONAL_PROPERTY": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
},
"tags": [
"text"
],
"extra": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"failure_hook_source": null,
"success_hook_source": null,
"start_hook_source": null,
"end_hook_source": null,
"pause_hook_source": null,
"resume_hook_source": null,
"init_hook_source": null,
"init_hook_kwargs": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"cleanup_hook_source": null,
"model": {
"name": "text",
"license": "text",
"description": "text",
"audience": "text",
"use_cases": "text",
"limitations": "text",
"trade_offs": "text",
"ethics": "text",
"tags": [
"text"
],
"version": "none",
"save_models_to_registry": true,
"model_version_id": "123e4567-e89b-12d3-a456-426614174000",
"suppress_class_validation_warnings": false
},
"parameters": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"retry": {
"max_retries": 1,
"delay": 0,
"backoff": 0
},
"substitutions": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"cache_policy": {
"include_step_code": true,
"include_step_parameters": true,
"include_artifact_values": true,
"include_artifact_ids": true,
"ignored_inputs": [
"text"
],
"file_dependencies": [
"text"
],
"source_dependencies": [
{
"module": "text",
"attribute": "text",
"type": "user",
"ANY_ADDITIONAL_PROPERTY": "anything"
}
],
"cache_func": {
"module": "text",
"attribute": "text",
"type": "user",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"expires_after": 1
},
"name": "text",
"steps_to_skip": [
"text"
],
"skip_successful_steps": false,
"step_input_overrides": {
"ANY_ADDITIONAL_PROPERTY": {
"ANY_ADDITIONAL_PROPERTY": "123e4567-e89b-12d3-a456-426614174000"
}
},
"step_default_input_overrides": {
"ANY_ADDITIONAL_PROPERTY": {
"ANY_ADDITIONAL_PROPERTY": "123e4567-e89b-12d3-a456-426614174000"
}
}
},
"start_time": "2026-01-01T00:00:00.000Z",
"end_time": "2026-01-01T00:00:00.000Z",
"client_environment": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"orchestrator_environment": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"orchestrator_run_id": "text",
"code_path": "text",
"is_templatable": false,
"trigger_info": {
"step_run_id": "123e4567-e89b-12d3-a456-426614174000",
"deployment_id": "123e4567-e89b-12d3-a456-426614174000"
},
"enable_heartbeat": true,
"exception_info": {
"traceback": "text",
"source": "text",
"message": "text",
"user_code_line": 1,
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"trigger_execution_info": {
"upstream_run_id": "123e4567-e89b-12d3-a456-426614174000",
"upstream_pipeline_ids": [
"123e4567-e89b-12d3-a456-426614174000"
]
}
},
"resources": "[Circular Reference]",
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
},
"model_version": {
"body": "[Circular Reference]",
"metadata": {
"description": "text",
"run_metadata": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
},
"resources": "[Circular Reference]",
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
},
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
}Gets a specific service using its unique ID.
Args: service_id: The ID of the service to get. hydrate: Flag deciding whether to hydrate the output model(s) by including metadata fields in the response.
Returns: A specific service object.
trueSuccessful Response
Response model for services.
falseUnauthorized
Forbidden
Not Found
Unprocessable Entity
GET /api/v1/services/{service_id} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"user_id": "123e4567-e89b-12d3-a456-426614174000",
"project_id": "123e4567-e89b-12d3-a456-426614174000",
"service_type": {
"type": "text",
"flavor": "text",
"name": "",
"description": "",
"logo_url": ""
},
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"state": "inactive"
},
"metadata": {
"service_source": "text",
"admin_state": "inactive",
"config": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"status": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"endpoint": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"prediction_url": "text",
"health_check_url": "text"
},
"resources": {
"user": {
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"active": false,
"activation_token": "text",
"full_name": "",
"email_opted_in": true,
"is_service_account": true,
"is_admin": true,
"default_project_id": "123e4567-e89b-12d3-a456-426614174000",
"avatar_url": "text"
},
"metadata": {
"password_changed_at": "2026-01-01T00:00:00.000Z",
"email": "",
"external_user_id": "123e4567-e89b-12d3-a456-426614174000",
"user_metadata": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
},
"resources": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
},
"pipeline_run": {
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"user_id": "123e4567-e89b-12d3-a456-426614174000",
"project_id": "123e4567-e89b-12d3-a456-426614174000",
"status": "initializing",
"in_progress": true,
"status_reason": "text",
"index": 1,
"pipeline_id": "123e4567-e89b-12d3-a456-426614174000",
"child_key": "text",
"root_run_id": "123e4567-e89b-12d3-a456-426614174000"
},
"metadata": {
"run_metadata": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"config": {
"enable_cache": true,
"enable_artifact_metadata": true,
"enable_artifact_visualization": true,
"enable_step_logs": true,
"enable_heartbeat": true,
"environment": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"secrets": [
"123e4567-e89b-12d3-a456-426614174000"
],
"enable_pipeline_logs": true,
"execution_mode": "continue_on_failure",
"settings": {
"ANY_ADDITIONAL_PROPERTY": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
},
"tags": [
"text"
],
"extra": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"failure_hook_source": null,
"success_hook_source": null,
"start_hook_source": null,
"end_hook_source": null,
"pause_hook_source": null,
"resume_hook_source": null,
"init_hook_source": null,
"init_hook_kwargs": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"cleanup_hook_source": null,
"model": {
"name": "text",
"license": "text",
"description": "text",
"audience": "text",
"use_cases": "text",
"limitations": "text",
"trade_offs": "text",
"ethics": "text",
"tags": [
"text"
],
"version": "none",
"save_models_to_registry": true,
"model_version_id": "123e4567-e89b-12d3-a456-426614174000",
"suppress_class_validation_warnings": false
},
"parameters": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"retry": {
"max_retries": 1,
"delay": 0,
"backoff": 0
},
"substitutions": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"cache_policy": {
"include_step_code": true,
"include_step_parameters": true,
"include_artifact_values": true,
"include_artifact_ids": true,
"ignored_inputs": [
"text"
],
"file_dependencies": [
"text"
],
"source_dependencies": [
{
"module": "text",
"attribute": "text",
"type": "user",
"ANY_ADDITIONAL_PROPERTY": "anything"
}
],
"cache_func": {
"module": "text",
"attribute": "text",
"type": "user",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"expires_after": 1
},
"name": "text",
"steps_to_skip": [
"text"
],
"skip_successful_steps": false,
"step_input_overrides": {
"ANY_ADDITIONAL_PROPERTY": {
"ANY_ADDITIONAL_PROPERTY": "123e4567-e89b-12d3-a456-426614174000"
}
},
"step_default_input_overrides": {
"ANY_ADDITIONAL_PROPERTY": {
"ANY_ADDITIONAL_PROPERTY": "123e4567-e89b-12d3-a456-426614174000"
}
}
},
"start_time": "2026-01-01T00:00:00.000Z",
"end_time": "2026-01-01T00:00:00.000Z",
"client_environment": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"orchestrator_environment": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"orchestrator_run_id": "text",
"code_path": "text",
"is_templatable": false,
"trigger_info": {
"step_run_id": "123e4567-e89b-12d3-a456-426614174000",
"deployment_id": "123e4567-e89b-12d3-a456-426614174000"
},
"enable_heartbeat": true,
"exception_info": {
"traceback": "text",
"source": "text",
"message": "text",
"user_code_line": 1,
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"trigger_execution_info": {
"upstream_run_id": "123e4567-e89b-12d3-a456-426614174000",
"upstream_pipeline_ids": [
"123e4567-e89b-12d3-a456-426614174000"
]
}
},
"resources": "[Circular Reference]",
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
},
"model_version": {
"body": "[Circular Reference]",
"metadata": {
"description": "text",
"run_metadata": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
},
"resources": "[Circular Reference]",
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
},
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
}Updates a service.
Args: service_id: The ID of the service to update. update: The model containing the attributes to update.
Returns: The updated service object.
Update model for stack components.
The administrative state of the service, e.g., ACTIVE, INACTIVE.
The fully qualified class name of the service implementation.
Successful Response
Response model for services.
falseUnauthorized
Forbidden
Not Found
Unprocessable Entity
PUT /api/v1/services/{service_id} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 314
{
"name": "text",
"admin_state": "inactive",
"service_source": "text",
"status": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"endpoint": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"prediction_url": "text",
"health_check_url": "text",
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"model_version_id": "123e4567-e89b-12d3-a456-426614174000"
}{
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"user_id": "123e4567-e89b-12d3-a456-426614174000",
"project_id": "123e4567-e89b-12d3-a456-426614174000",
"service_type": {
"type": "text",
"flavor": "text",
"name": "",
"description": "",
"logo_url": ""
},
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"state": "inactive"
},
"metadata": {
"service_source": "text",
"admin_state": "inactive",
"config": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"status": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"endpoint": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"prediction_url": "text",
"health_check_url": "text"
},
"resources": {
"user": {
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"active": false,
"activation_token": "text",
"full_name": "",
"email_opted_in": true,
"is_service_account": true,
"is_admin": true,
"default_project_id": "123e4567-e89b-12d3-a456-426614174000",
"avatar_url": "text"
},
"metadata": {
"password_changed_at": "2026-01-01T00:00:00.000Z",
"email": "",
"external_user_id": "123e4567-e89b-12d3-a456-426614174000",
"user_metadata": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
},
"resources": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
},
"pipeline_run": {
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"user_id": "123e4567-e89b-12d3-a456-426614174000",
"project_id": "123e4567-e89b-12d3-a456-426614174000",
"status": "initializing",
"in_progress": true,
"status_reason": "text",
"index": 1,
"pipeline_id": "123e4567-e89b-12d3-a456-426614174000",
"child_key": "text",
"root_run_id": "123e4567-e89b-12d3-a456-426614174000"
},
"metadata": {
"run_metadata": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"config": {
"enable_cache": true,
"enable_artifact_metadata": true,
"enable_artifact_visualization": true,
"enable_step_logs": true,
"enable_heartbeat": true,
"environment": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"secrets": [
"123e4567-e89b-12d3-a456-426614174000"
],
"enable_pipeline_logs": true,
"execution_mode": "continue_on_failure",
"settings": {
"ANY_ADDITIONAL_PROPERTY": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
},
"tags": [
"text"
],
"extra": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"failure_hook_source": null,
"success_hook_source": null,
"start_hook_source": null,
"end_hook_source": null,
"pause_hook_source": null,
"resume_hook_source": null,
"init_hook_source": null,
"init_hook_kwargs": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"cleanup_hook_source": null,
"model": {
"name": "text",
"license": "text",
"description": "text",
"audience": "text",
"use_cases": "text",
"limitations": "text",
"trade_offs": "text",
"ethics": "text",
"tags": [
"text"
],
"version": "none",
"save_models_to_registry": true,
"model_version_id": "123e4567-e89b-12d3-a456-426614174000",
"suppress_class_validation_warnings": false
},
"parameters": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"retry": {
"max_retries": 1,
"delay": 0,
"backoff": 0
},
"substitutions": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"cache_policy": {
"include_step_code": true,
"include_step_parameters": true,
"include_artifact_values": true,
"include_artifact_ids": true,
"ignored_inputs": [
"text"
],
"file_dependencies": [
"text"
],
"source_dependencies": [
{
"module": "text",
"attribute": "text",
"type": "user",
"ANY_ADDITIONAL_PROPERTY": "anything"
}
],
"cache_func": {
"module": "text",
"attribute": "text",
"type": "user",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"expires_after": 1
},
"name": "text",
"steps_to_skip": [
"text"
],
"skip_successful_steps": false,
"step_input_overrides": {
"ANY_ADDITIONAL_PROPERTY": {
"ANY_ADDITIONAL_PROPERTY": "123e4567-e89b-12d3-a456-426614174000"
}
},
"step_default_input_overrides": {
"ANY_ADDITIONAL_PROPERTY": {
"ANY_ADDITIONAL_PROPERTY": "123e4567-e89b-12d3-a456-426614174000"
}
}
},
"start_time": "2026-01-01T00:00:00.000Z",
"end_time": "2026-01-01T00:00:00.000Z",
"client_environment": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"orchestrator_environment": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"orchestrator_run_id": "text",
"code_path": "text",
"is_templatable": false,
"trigger_info": {
"step_run_id": "123e4567-e89b-12d3-a456-426614174000",
"deployment_id": "123e4567-e89b-12d3-a456-426614174000"
},
"enable_heartbeat": true,
"exception_info": {
"traceback": "text",
"source": "text",
"message": "text",
"user_code_line": 1,
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"trigger_execution_info": {
"upstream_run_id": "123e4567-e89b-12d3-a456-426614174000",
"upstream_pipeline_ids": [
"123e4567-e89b-12d3-a456-426614174000"
]
}
},
"resources": "[Circular Reference]",
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
},
"model_version": {
"body": "[Circular Reference]",
"metadata": {
"description": "text",
"run_metadata": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
},
"resources": "[Circular Reference]",
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
},
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
}Deletes a specific service.
Args: service_id: The ID of the service to delete.
Successful Response
Unauthorized
Forbidden
Not Found
Unprocessable Entity
DELETE /api/v1/services/{service_id} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
No content
Last updated
Was this helpful?